org.jboss.resteasy.client.jaxrs.internal.proxy

## Class ClientInvoker

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.proxy.ClientInvoker

- All Implemented Interfaces:
    MethodInvoker

      public class ClientInvoker
      extends Object
      implements MethodInvoker

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MediaType` | `accepts`
    `protected Class` | `declaring`
    `protected DefaultEntityExtractorFactory` | `entityExtractorFactory`
    `protected EntityExtractor` | `extractor`
    `protected boolean` | `followRedirects`
    `protected String` | `httpMethod`
    `protected ClientConfiguration` | `invokerConfig`
    `protected Method` | `method`
    `protected Object[]` | `processors`
    `protected ResteasyWebTarget` | `webTarget`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInvoker(ResteasyWebTarget parent, Class declaring, Method method, ProxyConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClientInvocation` | `createRequest(Object[] args)`
    `void` | `followRedirects()`
    `MediaType` | `getAccepts()`
    `Class` | `getDeclaring()`
    `String` | `getHttpMethod()`
    `Method` | `getMethod()`
    `Object` | `invoke(Object[] args)`
    `boolean` | `isFollowRedirects()`
    `void` | `setFollowRedirects(boolean followRedirects)`
    `void` | `setHttpMethod(String httpMethod)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### httpMethod

          protected String httpMethod

    - #### method

          protected Method method

    - #### declaring

          protected Class declaring

    - #### accepts

          protected MediaType accepts

    - #### processors

          protected Object[] processors

    - #### webTarget

          protected ResteasyWebTarget webTarget

    - #### followRedirects

          protected boolean followRedirects

    - #### extractor

          protected EntityExtractor extractor

    - #### entityExtractorFactory

          protected DefaultEntityExtractorFactory entityExtractorFactory

    - #### invokerConfig

          protected ClientConfiguration invokerConfig

  - ### Constructor Detail

    - #### ClientInvoker

          public ClientInvoker(ResteasyWebTarget parent,
                       Class declaring,
                       Method method,
                       ProxyConfig config)

  - ### Method Detail

    - #### getAccepts

          public MediaType getAccepts()

    - #### getMethod

          public Method getMethod()

    - #### getDeclaring

          public Class getDeclaring()

    - #### invoke

          public Object invoke(Object[] args)

      Specified by:
        `invoke` in interface `MethodInvoker`

    - #### createRequest

          protected ClientInvocation createRequest(Object[] args)

    - #### getHttpMethod

          public String getHttpMethod()

    - #### setHttpMethod

          public void setHttpMethod(String httpMethod)

    - #### isFollowRedirects

          public boolean isFollowRedirects()

    - #### setFollowRedirects

          public void setFollowRedirects(boolean followRedirects)

    - #### followRedirects

          public void followRedirects()

Copyright © 2014. All Rights Reserved.